LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
MasterPages Service Referencepublished

provides access to a container of MasterPages and makes it possible for them to be manipulated. More...

`import"MasterPages.idl";`

Inheritance diagram for MasterPages:

## Exported Interfaces
interface | com::sun::star::drawing::XDrawPages
| lets you access and create MasterPages More...

## Additional Inherited Members
Public Member Functions inherited from XDrawPages
com::sun::star::drawing::XDrawPage | insertNewByIndex ([in] long nIndex)
| creates and inserts a new DrawPage or MasterPage into this container More...
void | remove ([in] com::sun::star::drawing::XDrawPage xPage)
| removes a DrawPage or MasterPage from this container. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a container of MasterPages and makes it possible for them to be manipulated.

See also
  XMasterPagesSupplier
  DrawingDocument

## Exported Interfaces

## ◆ com::sun::star::drawing::XDrawPages

interface com::sun::star::drawing::XDrawPages

lets you access and create MasterPages

The documentation for this service was generated from the following file:

- com/sun/star/drawing/MasterPages.idl